<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/convert_aim_attributes_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/06/84  convert_aim_attributes_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in convert_aim_attributes_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: convert_aim_attributes_: 02/06/84  convert_aim_attributes_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: converts a bit<span class="textRainbow_lv0_p0">(</span>72<span class="textRainbow_lv0_p0">)</span> aligned representation of an access
<span id="L12" class="LineNr">12 </span>authorization or access class into a character string of the form:
<span id="L13" class="LineNr">13 </span>        LL...L:CC...C
<span id="L14" class="LineNr">14 </span>where LL...L is an octal sensitivity level number, and CC...C is an
<span id="L15" class="LineNr">15 </span>octal string representing the access category set.
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Syntax:
<span id="L19" class="LineNr">19 </span>declare convert_aim_attributes_ entry <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span>
<span id="L20" class="LineNr">20 </span>     aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr">21 </span>call convert_aim_attributes_ <span class="textRainbow_lv0_p0">(</span>aim_bits<span class="textRainbow_lv0_o0">,</span> aim_chars<span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>Arguments:
<span id="L25" class="LineNr">25 </span>aim_bits
<span id="L26" class="LineNr">26 </span>   is the binary representation to be converted.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr">27 </span>aim_chars
<span id="L28" class="LineNr">28 </span>   is the character string representation.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>
<span id="L31" class="LineNr">31 </span>Notes:  Only significant digits of the level number <span class="textRainbow_lv0_p0">(</span>usually a single
<span id="L32" class="LineNr">32 </span>digit from 0 to 7<span class="textRainbow_lv0_p0">)</span> are printed.
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>Currently, only 18 access category bits are used, so that only six
<span id="L35" class="LineNr">35 </span>octal digits are required to represent access categories.  Therefore,
<span id="L36" class="LineNr">36 </span>aim_chars is padded on the right with blanks, which may be used at a
<span id="L37" class="LineNr">37 </span>later time for additional access information.  Trailing zeros are NOT
<span id="L38" class="LineNr">38 </span>stripped.
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>If either the level or category field of aim_bits is invalid, the
<span id="L41" class="LineNr">41 </span>erroneous field is returned as full octal <span class="textRainbow_lv0_p0">(</span>6 digits for level<span class="textRainbow_lv0_o0">,</span> 12
<span id="L42" class="LineNr">42 </span>digits for category<span class="textRainbow_lv0_p0">)</span>, followed by the string &quot;<span class="textRainbow_lv0_p0">(</span>undefined<span class="textRainbow_lv0_p0">)</span>&quot;.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
